=== debian/changelog ===
fotoxx (10.3.1-1) unstable; urgency=low

  * New upstream release
  * Switch to quilt (3.0)
  * debian/control
    -Bump Standars-Version to 3.8.4 No further changes.
    -Added libtiff4-dev to Build-Depends.
  * New versions of fotoxx don't suggest printoxx anymore. closes: #582244

 -- Santiago Torres Batan <santi73@gmail.com>  Sat, 22 May 2010 13:37:32 -0300

fotoxx (9.2-1) unstable; urgency=low

  * New upstream release

 -- Santiago Torres Batan <santi73@gmail.com>  Wed, 06 Jan 2010 23:03:44 -0300

fotoxx (8.7-1) unstable; urgency=low

  * New upstream release

 -- Santiago Torres Batan <santi73@gmail.com>  Thu, 26 Nov 2009 18:59:39 -0300

fotoxx (8.6.2-1) unstable; urgency=low

  * New upstream release

 -- Santiago Torres Batan <santi73@gmail.com>  Thu, 29 Oct 2009 19:34:43 -0300

fotoxx (8.6-1) unstable; urgency=low

  * New upstream release

 -- Santiago Torres Batan <santi73@gmail.com>  Tue, 13 Oct 2009 23:05:46 -0300

fotoxx (8.5.2-1) unstable; urgency=low

  * New upstream release

 -- Santiago Torres Batan <santi73@gmail.com>  Sat, 10 Oct 2009 13:06:31 -0300

fotoxx (8.4.3-1) unstable; urgency=low

  * New upstream release

 -- Santiago Torres Batan <santi73@gmail.com>  Tue, 22 Sep 2009 08:08:16 -0300

fotoxx (8.4.1-1) unstable; urgency=low

  * New upstream release

 -- Santiago Torres Batan <santi73@gmail.com>  Mon, 14 Sep 2009 22:44:23 -0300

fotoxx (8.3-1) unstable; urgency=low

  * Initial release (Closes: #504360)

 -- Santiago Torres Batan <santi73@gmail.com>  Thu, 20 Aug 2009 12:27:47 -0300
