=== debian/control ===
Source: fotoxx
Section: graphics
Priority: extra
Maintainer: Santiago Torres Batan <santi73@gmail.com>
Build-Depends: debhelper (>= 7), libgtk2.0-dev, libfreeimage-dev, xdg-utils, libtiff4-dev
Standards-Version: 3.8.4
Homepage: http://kornelix.squarespace.com/downloads/

Package: fotoxx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libimage-exiftool-perl, ufraw
Description: easy-to-use digital photo editor
 Fotoxx is a program for improving digital photos. It allows you to navigate
 through large image directories using a window of thumbnail images, create HDR
 (high dynamic range) images by combining bright and dark images to improve
 details visible in both bright and dark areas, create panoramas by joining
 overlapped images, adjust brightness and color intensity independently for
 different underlying brightness levels, reduce fog or haze by removing
 "whiteness" and intensifying colors, rotate an image (level a tilted image or
 turn 90 degrees), remove red-eyes from electronic flash photos, sharpen,
 resize, or crop images, reduce noise in low-light photos, change color depth,
 and stretch an image by dragging the mouse.
