=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp  
	dh_testdir
	$(MAKE) PREFIX=/usr
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
		
	rm -f $(CURDIR)/doc/COPYING
	rm -f $(CURDIR)/*.spec	
	rm -f $(CURDIR)/fotoxx
	dh_prep  
	dh_installdirs
		
	$(MAKE) PREFIX=/usr DESTDIR=$(CURDIR)/debian/fotoxx install
		
binary-indep: install

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs doc/CHANGES
	dh_installdocs
	dh_installmenu
	dh_install fotoxx.desktop /usr/share/applications
	dh_strip
	dh_compress -XTRANSLATIONS -XCHANGES
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	
binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
