## fotoxx 10.7

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # fotoxx makefile 
 
 PROGRAM = fotoxx
-VERSION = 10.3.1
+VERSION = 10.7
 SOURCE = $(PROGRAM)-$(VERSION).cc
 
 # defaults for parameters that may be pre-defined
