=== debian/changelog ===
fotoxx (10.7-1) unstable; urgency=low

  * New upstream release
  * debian/control
    -Bump Standars-Version to 3.9.0 No further changes.
    -Changed Reccommends: ufraw-batch instead of ufraw. closes: #583084.

 -- Santiago Torres Batan <santi73@gmail.com>  Thu, 08 Jul 2010 18:24:21 -0300
