=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: extra
 Maintainer: Santiago Torres Batan <santi73@gmail.com>
 Build-Depends: debhelper (>= 7), libgtk2.0-dev, libfreeimage-dev, xdg-utils, libtiff4-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Homepage: http://kornelix.squarespace.com/downloads/
 
 Package: fotoxx
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: libimage-exiftool-perl, ufraw
+Recommends: libimage-exiftool-perl, ufraw-batch
 Description: easy-to-use digital photo editor
  Fotoxx is a program for improving digital photos. It allows you to navigate
  through large image directories using a window of thumbnail images, create HDR
