=== debian/rules ===
--- 
+++ 
@@ -34,12 +34,14 @@
 		
 	rm -f $(CURDIR)/doc/COPYING
 	rm -f $(CURDIR)/*.spec	
-	rm -f $(CURDIR)/fotoxx
+	rm -f $(CURDIR)/desktop	
 	dh_prep  
 	dh_installdirs
 		
 	$(MAKE) PREFIX=/usr DESTDIR=$(CURDIR)/debian/fotoxx install
-		
+	$(MAKE) PREFIX=/usr DESTDIR=$(CURDIR)/debian/fotoxx manpage
+	$(MAKE) PREFIX=/usr DESTDIR=$(CURDIR)/debian/fotoxx menu
+	
 binary-indep: install
 
 binary-arch: install
