## fotoxx 11.11.1

=== Makefile ===
# fotoxx makefile 

PROGRAM = fotoxx-11.11.1.cc

# defaults for parameters that may be pre-defined
CXXFLAGS ?= -O3 -g -Wall
LDFLAGS ?= -O3 -g -Wall -rdynamic
PREFIX ?= /usr

# target install directories
BINDIR = $(PREFIX)/bin
SHAREDIR = $(PREFIX)/share/fotoxx
ICONDIR = $(SHAREDIR)/icons
LOCALESDIR = $(SHAREDIR)/locales
DOCDIR = $(PREFIX)/share/doc/fotoxx
MANDIR = $(PREFIX)/share/man/man1
MENUFILE = $(PREFIX)/share/applications/kornelix-fotoxx.desktop

CFLAGS = $(CXXFLAGS) -c `pkg-config --cflags gtk+-2.0`
LIBS = `pkg-config --libs gtk+-2.0 gthread-2.0`

fotoxx: fotoxx.o fotoxx_tools.o fotoxx_area.o fotoxx_info.o \
        fotoxx_retouch.o fotoxx_transform.o fotoxx_art.o fotoxx_comp.o \
        zfuncs.o 
	$(CXX) $(LDFLAGS) fotoxx.o fotoxx_tools.o fotoxx_area.o fotoxx_info.o \
	       fotoxx_retouch.o fotoxx_transform.o fotoxx_art.o fotoxx_comp.o \
	       zfuncs.o \
          $(LIBS) -ltiff -o fotoxx 
	@ ./dependencies.sh

fotoxx.o: $(PROGRAM) fotoxx.h
	$(CXX) $(CFLAGS) -o fotoxx.o $(PROGRAM)

fotoxx_tools.o: fotoxx_tools.cc fotoxx.h
	$(CXX) $(CFLAGS) fotoxx_tools.cc

fotoxx_area.o: fotoxx_area.cc fotoxx.h
	$(CXX) $(CFLAGS) fotoxx_area.cc

fotoxx_info.o: fotoxx_info.cc fotoxx.h
	$(CXX) $(CFLAGS) fotoxx_info.cc

fotoxx_retouch.o: fotoxx_retouch.cc fotoxx.h
	$(CXX) $(CFLAGS) fotoxx_retouch.cc

fotoxx_transform.o: fotoxx_transform.cc fotoxx.h
	$(CXX) $(CFLAGS) fotoxx_transform.cc

fotoxx_art.o: fotoxx_art.cc fotoxx.h
	$(CXX) $(CFLAGS) fotoxx_art.cc

fotoxx_comp.o: fotoxx_comp.cc fotoxx.h
	$(CXX) $(CFLAGS) fotoxx_comp.cc

zfuncs.o: zfuncs.cc
	$(CXX) $(CFLAGS) zfuncs.cc -D PREFIX=\"$(PREFIX)\"

install: fotoxx
	mkdir -p  $(DESTDIR)$(BINDIR)
	mkdir -p  $(DESTDIR)$(ICONDIR)
	mkdir -p  $(DESTDIR)$(LOCALESDIR)
	mkdir -p  $(DESTDIR)$(DOCDIR)
	mkdir -p  $(DESTDIR)$(MANDIR)
	mkdir -p  $(DESTDIR)$(PREFIX)/share/applications
	cp -f  fotoxx $(DESTDIR)$(BINDIR)
	cp -f  icons/* $(DESTDIR)$(ICONDIR)
	cp -f -R  locales/* $(DESTDIR)$(LOCALESDIR)
	cp -f -R  doc/* $(DESTDIR)$(DOCDIR)
	# man page
	cp -f doc/fotoxx.man fotoxx.1
	gzip -f -9 fotoxx.1
	cp fotoxx.1.gz $(DESTDIR)$(MANDIR)
	rm -f fotoxx.1.gz
	# menu (desktop) file
	cp -f desktop $(DESTDIR)$(MENUFILE)
	xdg-desktop-menu install $(DESTDIR)$(MENUFILE)

uninstall:
	rm -f  $(DESTDIR)$(BINDIR)/fotoxx
	rm -R -f  $(DESTDIR)$(SHAREDIR)
	rm -R -f  $(DESTDIR)$(DOCDIR)
	rm -f  $(DESTDIR)$(MANDIR)/fotoxx.1.gz
	xdg-desktop-menu uninstall $(DESTDIR)$(MENUFILE)
	rm -f  $(DESTDIR)$(MENUFILE)

clean: 
	rm -f  fotoxx
	rm -f  *.o
