=== debian/changelog ===
fotoxx (11.11.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rename mutex type to mutex_tp (closes: #665676). Thanks to Michael Biebl
    for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 29 Apr 2012 15:51:13 +0200

fotoxx (11.11.1-1) unstable; urgency=low

  * New upstream release
    
  * debian/watch
    -Fix lintian warning: debian_watch_contains_dh_make_template
  
  * debian/rules
    -Remove -XTRANLATIONS -XCHANGES params in dh_compress.
    -Fix lintian warning: debian_rules_missing_recommends_targets
    -Add symlink to avoid duplicate documentation at intalldocs rule.
    -Remove unnecessary files.
 
  * debian/control
   -Bump Standars-Version to 3.9.2
   -Remov libfreeimage-dev, libimage-exiftool-perf from
     Build-Depends
   -Add xgd-utils and libimage-exiftool-perf to Recommends
   -Add brasero to Suggests

  * debian/copyright
    -Update copyright to 2010, 2011
   
  * debian/patches/ 
    -Fix lintian warning format-3.0-but-debian-changes-patch and
     (closes: #643119) by creating:
    -docs_dir.patch: changes upstream sources for the program to
     know where documentation is installed
    -makefile_changes.patch: edit makefile for installation
     Removes the depencies check by dependencies.sh. (closes: #622315)
     Fix FTBFS with binutils-gold. (closes: #610545)
     fotoxxfotoxx.desktop was created by mistake. (closes: #610544)
     Thanks to Mahyuddin Susanto.
  
  * debian/doc-base
    -Register fotoxx user guide documentation.

 -- Santiago Torres Batan <santi73@gmail.com>  Mon, 07 Nov 2011 16:37:55 -0300
 
