=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: graphics
 Priority: extra
 Maintainer: Santiago Torres Batan <santi73@gmail.com>
-Build-Depends: debhelper (>= 7), libgtk2.0-dev, libfreeimage-dev, xdg-utils, libtiff4-dev
-Standards-Version: 3.9.0
+Build-Depends: debhelper (>= 7), libgtk2.0-dev, libtiff4-dev
+Standards-Version: 3.9.2
 Homepage: http://kornelix.squarespace.com/downloads/
 
 Package: fotoxx
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: libimage-exiftool-perl, ufraw-batch
+Recommends: libimage-exiftool-perl, ufraw-batch, xgd-open, libtiff,
+Suggests: brasero
 Description: easy-to-use digital photo editor
  Fotoxx is a program for improving digital photos. It allows you to navigate
  through large image directories using a window of thumbnail images, create HDR
