=== debian/changelog ===
fotoxx (12.01.2-0ubuntu3) raring; urgency=low

  * Added missing pthread lib to link, fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 07 Apr 2013 16:51:13 -0400

fotoxx (12.01.2-0ubuntu2) quantal; urgency=low

  * Build-depend on libtiff-dev rather than libtiff4-dev.
  * Drop unsatisfiable and unnecessary Recommends on libtiff.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 04 Sep 2012 10:53:30 +0100

fotoxx (12.01.2-0ubuntu1) precise; urgency=low

  * New upstream release.
  * Refreshed patch:
    - debian/patches/makefile_changes.patch
    - debian/patches/docs_dir.patch

 -- Mahyuddin Susanto <udienz@ubuntu.com>  Wed, 04 Jan 2012 23:14:41 +0700
