=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: fotoxx
 Section: graphics
 Priority: extra
-Maintainer: Santiago Torres Batan <santi73@gmail.com>
-Build-Depends: debhelper (>= 7), libgtk2.0-dev, libtiff4-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Santiago Torres Batan <santi73@gmail.com>
+Build-Depends: debhelper (>= 7), libgtk2.0-dev, libtiff-dev
 Standards-Version: 3.9.2
 Homepage: http://kornelix.squarespace.com/downloads/
 
 Package: fotoxx
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: libimage-exiftool-perl, ufraw-batch, xgd-open, libtiff,
+Recommends: libimage-exiftool-perl, ufraw-batch, xgd-open
 Suggests: brasero
 Description: easy-to-use digital photo editor
  Fotoxx is a program for improving digital photos. It allows you to navigate
