=== debian/rules ===
--- 
+++ 
@@ -14,11 +14,13 @@
 	dh_testdir
 	touch configure-stamp
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 
 build-stamp: configure-stamp  
 	dh_testdir
-	$(MAKE) PREFIX=/usr
+	$(MAKE) PREFIX=/usr DESTDIR=$(CURDIR)/debian/fotoxx
 	touch $@
 
 clean: 
@@ -32,27 +34,26 @@
 	dh_testdir
 	dh_testroot
 		
-	rm -f $(CURDIR)/doc/COPYING
-	rm -f $(CURDIR)/*.spec	
-	rm -f $(CURDIR)/desktop	
 	dh_prep  
 	dh_installdirs
 		
 	$(MAKE) PREFIX=/usr DESTDIR=$(CURDIR)/debian/fotoxx install
-	$(MAKE) PREFIX=/usr DESTDIR=$(CURDIR)/debian/fotoxx manpage
-	$(MAKE) PREFIX=/usr DESTDIR=$(CURDIR)/debian/fotoxx menu
-	
+	rm -f $(CURDIR)/debian/fotoxx/usr/share/doc/fotoxx/extras/COPYING
+	rm -f $(CURDIR)/debian/fotoxx/usr/share/doc/fotoxx/extras/fotoxx.man
+	rm -f $(CURDIR)/debian/fotoxx/usr/share/doc/fotoxx/extras/copyright
+
 binary-indep: install
 
 binary-arch: install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs doc/CHANGES
-	dh_installdocs
+	dh_installchangelogs
+	dh_installdocs 
 	dh_installmenu
-	dh_install fotoxx.desktop /usr/share/applications
+	dh_install
 	dh_strip
-	dh_compress -XTRANSLATIONS -XCHANGES
+	dh_compress 
+	dh_link usr/share/doc/fotoxx/changelog.gz usr/share/doc/fotoxx/extras/changelog.gz
 	dh_fixperms
 	dh_installdeb
 	dh_shlibdeps
