=== debian/changelog ===
fotoxx (14.07.1-1) unstable; urgency=medium

  * New upstream release

  * debian/control
    - Moved libexiftool-perl from Recommends to Depends.
    - Replaced xgd-open with xdg-utils (closes: #743330),
      and moved to Depends.
    - Added dcraw to Depends.
    - Replaced ufraw-batch to ufraw. (closes: #755853)
    - Added rawtherapee, imagemagick, brasero and gimp to Suggests.
    Thanks for the bug reports.

  * debian/compat
    - Bump to version 9.

  * debian/patches
    - Deleted desktop_fix.patch, applied by upstrean.
    - Deleted rename_mutex_type.patch, applied by upstream.
    - Created privacy-breach-generic_fix.patch
    - Refresh patches.

  * debian/rules
    - Switched to version's 9 format.

  * debian/copyrigth
    - Updated upstream email.

 -- Santiago Torres Batan <santi73@gmail.com>  Thu, 24 Jul 2014 12:27:54 -0300

fotoxx (14.03.1-1) unstable; urgency=medium

  * New upstream release (closes: #683347)

  * Applied non maintainer changes. Thanks to Jakub Wilk.

  * debian/watch
    - Update download URL

  * debian/patches
    - Moved documentation back to doc/fotoxx and deleted docs_dir.patch.
      Thanks to Maximiliano Curia.
    - Added fotoxx.h and zfuncs.cc files to mutex_rename.patch.
    - Refreshed all patches.
    - Created dektop_fix.patch to fix .desktop using desktop-file-validate.

  * debian/control
    - Bump Standars-Version to 3.9.5.
    - Updated build dependency from libtiff4-dev to libtiff-dev
      (closes: #736003)
    - Added liblcml2-dev to Build-Depends.
    - Created fotoxx-common package for independent arquitecture data.
    - Updated Fotoxx Homepage.

  * debian/copyright
    - Updated copyright years for the upstream.

  * debian/rules
    - Export buildflags.
    - Remove rules that delete some no longer installed files.

 -- Santiago Torres Batan <santi73@gmail.com>  Sat, 15 Mar 2014 12:36:13 -0300
