=== debian/control ===
Source: fotoxx
Section: graphics
Priority: extra
Maintainer: Santiago Torres Batan <santi73@gmail.com>
Build-Depends: debhelper (>= 9), libgtk-3-dev, liblcms2-dev, libtiff-dev
Standards-Version: 3.9.5
Homepage: http://www.kornelix.com/fotoxx.html

Package: fotoxx
Architecture: any
Depends: fotoxx-common (= ${source:Version}),
         libimage-exiftool-perl (>= 8.60),
         xdg-utils,
         dcraw,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ufraw
Suggests: brasero,
          gimp,
          rawtherapee,
          imagemagick,
          www-browser
Description: easy-to-use digital photo editor
 Fotoxx is a program for improving digital photos. It allows you to navigate
 through large image directories using a window of thumbnail images, create HDR
 (high dynamic range) images by combining bright and dark images to improve
 details visible in both bright and dark areas, create panoramas by joining
 overlapped images, adjust brightness and color intensity independently for
 different underlying brightness levels, reduce fog or haze by removing
 "whiteness" and intensifying colors, rotate an image (level a tilted image or
 turn 90 degrees), remove red-eyes from electronic flash photos, sharpen,
 resize, or crop images, reduce noise in low-light photos, change color depth,
 and stretch an image by dragging the mouse.

Package: fotoxx-common
Architecture: all
Depends: ${misc:Depends}
Breaks: fotoxx (<< 14.03.1)
Replaces: fotoxx (<< 14.03.1)
Description: easy-to-use digital photo editor - common files
 Fotoxx is a program for improving digital photos. It allows you to navigate
 through large image directories using a window of thumbnail images, create HDR
 (high dynamic range) images by combining bright and dark images to improve
 details visible in both bright and dark areas, create panoramas by joining
 overlapped images, adjust brightness and color intensity independently for
 different underlying brightness levels, reduce fog or haze by removing
 "whiteness" and intensifying colors, rotate an image (level a tilted image or
 turn 90 degrees), remove red-eyes from electronic flash photos, sharpen,
 resize, or crop images, reduce noise in low-light photos, change color depth,
 and stretch an image by dragging the mouse.
 .
 This package contains architecture independent files such as icons, pixmaps,
 documentation, and translations.
