=== debian/changelog ===
fotoxx (14.10.2-1) unstable; urgency=medium

  [ Santiago Torres Batan ]
  * New upstream release
  * wrap-and-sort

  * debian/control
    - Added Vcs-{Browser,Git}
    - Bump Standards-Version to 3.9.6

  * debian/patches
    - Deleted makefile_changes.patch, privacy-breach-generic_fix.patch
      (were partially applied)
    - 0001-Do-not-track-users.patch: removes the code that counts users.
    - 0002-Do-not-check-for-new-releases.patch: removes the code that
      tries to download new releases. (closes: #761828)
    - 0003-Remove-Geo-download-function: removes insecured download function

  * debian/rules
    - Removed USE_XDG flag. No more needed because of upstream changes in
      Makefile.

  * debian/copyright
    - Upgraded to format 1.0

  [ Maximiliano Curia ]
  * Update copyright license to GPL-3+.
  * Add myself to the uploaders list.
  * New upstream release (14.10.2).
  * Refresh patches.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Oct 2014 22:20:36 +0200
