=== debian/control ===
--- 
+++ 
@@ -2,24 +2,23 @@
 Section: graphics
 Priority: extra
 Maintainer: Santiago Torres Batan <santi73@gmail.com>
+Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: debhelper (>= 9), libgtk-3-dev, liblcms2-dev, libtiff-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.kornelix.com/fotoxx.html
+Vcs-Git: git://anonscm.debian.org/collab-maint/fotoxx.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/fotoxx.git
 
 Package: fotoxx
 Architecture: any
-Depends: fotoxx-common (= ${source:Version}),
+Depends: dcraw,
+         fotoxx-common (= ${source:Version}),
          libimage-exiftool-perl (>= 8.60),
          xdg-utils,
-         dcraw,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: ufraw
-Suggests: brasero,
-          gimp,
-          rawtherapee,
-          imagemagick,
-          www-browser
+Suggests: brasero, gimp, imagemagick, rawtherapee, www-browser
 Description: easy-to-use digital photo editor
  Fotoxx is a program for improving digital photos. It allows you to navigate
  through large image directories using a window of thumbnail images, create HDR
