=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	dh $@
 
 override_dh_auto_install:
-	dh_auto_install -- USE_XDG=false
+	dh_auto_install
 	rm -f $(CURDIR)/debian/tmp/usr/share/doc/fotoxx/copyright
 
 override_dh_link:
