## fotoxx 15.11.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-# fotoxx makefile 
+# fotoxx makefile
 
-FOTOXX = fotoxx-14.10.2.cc
+FOTOXX = fotoxx-15.11.1.cc
 
 # defaults for parameters that may be pre-defined
 CXXFLAGS += -Wall -ggdb
@@ -19,16 +19,16 @@
 APPDATADIR = $(PREFIX)/share/appdata
 MENUFILE = $(PREFIX)/share/applications/fotoxx.desktop
 
-CFLAGS = $(CXXFLAGS) -c `pkg-config --cflags gtk+-3.0`
-CFLAGS += $(CPPFLAGS)
-LIBS = `pkg-config --libs gtk+-3.0` -lpthread
+CFLAGS = $(CXXFLAGS) $(CPPFLAGS) -c `pkg-config --cflags gtk+-3.0`
 
-ALLFILES = fotoxx.o f.widgets.o f.file.o f.tools.o f.area.o f.meta.o    \
-           f.edit.o f.repair.o f.bend.o f.effects.o f.combine.o zfuncs.o
+LIBS = `pkg-config --libs gtk+-3.0` -lpthread -ltiff -lpng -llcms2
+
+ALLFILES = fotoxx.o f.widgets.o f.file.o f.gallery.o f.area.o f.meta.o        \
+           f.edit.o f.repair.o f.bend.o f.effects.o f.combine.o f.mashup.o    \
+           f.albums.o f.tools.o f.batch.o f.image.o zfuncs.o
 
 fotoxx: $(ALLFILES)
-	$(CXX) $(LDFLAGS) -o fotoxx $(ALLFILES) $(LIBS)    \
-                     -ltiff -lpng -llcms2
+	$(CXX) $(LDFLAGS) -o fotoxx $(ALLFILES) $(LIBS)
 
 fotoxx.o: $(FOTOXX) fotoxx.h
 	$(CXX) $(CFLAGS) -o fotoxx.o $(FOTOXX)
@@ -39,8 +39,8 @@
 f.file.o: f.file.cc  fotoxx.h
 	$(CXX) $(CFLAGS) f.file.cc
 
-f.tools.o: f.tools.cc  fotoxx.h
-	$(CXX) $(CFLAGS) f.tools.cc
+f.gallery.o: f.gallery.cc  fotoxx.h
+	$(CXX) $(CFLAGS) f.gallery.cc
 
 f.area.o: f.area.cc  fotoxx.h
 	$(CXX) $(CFLAGS) f.area.cc
@@ -63,9 +63,23 @@
 f.combine.o: f.combine.cc  fotoxx.h
 	$(CXX) $(CFLAGS) f.combine.cc
 
+f.mashup.o: f.mashup.cc  fotoxx.h
+	$(CXX) $(CFLAGS) f.mashup.cc
+
+f.albums.o: f.albums.cc  fotoxx.h
+	$(CXX) $(CFLAGS) f.albums.cc
+
+f.tools.o: f.tools.cc  fotoxx.h
+	$(CXX) $(CFLAGS) f.tools.cc
+
+f.batch.o: f.batch.cc  fotoxx.h
+	$(CXX) $(CFLAGS) f.batch.cc
+
+f.image.o: f.image.cc  fotoxx.h
+	$(CXX) $(CFLAGS) f.image.cc
+
 zfuncs.o: zfuncs.cc  zfuncs.h
-	$(CXX) $(CFLAGS) zfuncs.cc    \
-          -D PREFIX=\"$(PREFIX)\" -D DOCDIR=\"$(DOCDIR)\"
+	$(CXX) $(CFLAGS) zfuncs.cc -D PREFIX=\"$(PREFIX)\" -D DOCDIR=\"$(DOCDIR)\"
 
 install: fotoxx uninstall
 	mkdir -p  $(DESTDIR)$(BINDIR)
@@ -98,8 +112,8 @@
 	rm -f  $(DESTDIR)$(MANDIR)/fotoxx.1.gz
 	rm -f  $(DESTDIR)$(MENUFILE)
 
-clean: 
+clean:
 	rm -f  fotoxx
 	rm -f  *.o
- 
- 
+
+
