=== debian/changelog ===
fotoxx (15.11.1-3) unstable; urgency=medium

  * Improve the dh_link rule so it doesn't end with the same file in both
    packages. (Closes: #804701)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 10 Nov 2015 19:49:42 +0100

fotoxx (15.11.1-2) unstable; urgency=medium

  * Add patch: 0001-Fix-ftbfs-in-freebsd.patch

 -- Maximiliano Curia <maxy@debian.org>  Tue, 10 Nov 2015 13:27:03 +0100

fotoxx (15.11.1-1) unstable; urgency=low

  [ Maximiliano Curia ]
  * New upstream release (15.11.1).
  * Drop patches applied upstream.

  [ Santiago Torres Batan ]
  * debian/copyright
    - Updated years and Source URL.

  * debian/control
    - Added hugin to Suggests packages.

  * debian/menu
    - Delete menu file as .Desktop is provided by package.

 -- Santiago Torres Batan <santi73@gmail.com>  Tue, 10 Nov 2015 03:48:21 -0300
