=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: ufraw
-Suggests: brasero, gimp, imagemagick, rawtherapee, www-browser
+Suggests: brasero, gimp, imagemagick, rawtherapee, hugin, www-browser
 Description: easy-to-use digital photo editor
  Fotoxx is a program for improving digital photos. It allows you to navigate
  through large image directories using a window of thumbnail images, create HDR
