=== debian/rules ===
--- 
+++ 
@@ -14,5 +14,7 @@
 	rm -f $(CURDIR)/debian/tmp/usr/share/doc/fotoxx/copyright
 
 override_dh_link:
-	dh_link usr/share/fotoxx/data/userguide-en.html \
-	        usr/share/doc/fotoxx/userguide-en.html
+	dh_link -pfotoxx \
+	    usr/share/fotoxx/data/userguide-en.html \
+	    usr/share/doc/fotoxx/userguide-en.html
+	dh_link --remaining-packages
