=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://www.kornelix.com/tarballs.html /uploads/././././......../fotoxx-([\d.]+).tar.gz
