=== debian/changelog ===
fotoxx (16.05.1-1) unstable; urgency=medium

  [ Santiago Torres Batan  ]
  * New Upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 12 May 2016 18:46:41 +0200

fotoxx (16.03.1-1) unstable; urgency=medium

  [ Santiago Torres Batan  ]
  * New Upstream release.

  [ Maximiliano Curia ]
  * New upstream release (16.03.1).
  * Add new patch: 0002-fix-FTBFS-using-clang-instead-of-gcc.patch.
    Thanks to Arthur Marble for the report and the patch (Closes: #812720)
  * Bump Standards-Version to 3.9.7, no changes needed.
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Mar 2016 11:01:19 +0200
