=== debian/control ===
--- 
+++ 
@@ -3,11 +3,15 @@
 Priority: extra
 Maintainer: Santiago Torres Batan <santi73@gmail.com>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: debhelper (>= 9), libgtk-3-dev, liblcms2-dev, libtiff-dev
-Standards-Version: 3.9.6
-Homepage: http://www.kornelix.com/fotoxx.html
-Vcs-Git: git://anonscm.debian.org/collab-maint/fotoxx.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/fotoxx.git
+Build-Depends: debhelper (>= 9),
+               libchamplain-gtk-0.12-dev,
+               libgtk-3-dev,
+               liblcms2-dev,
+               libtiff-dev
+Standards-Version: 3.9.7
+Homepage: http://www.kornelix.net/fotoxx/fotoxx.html
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/fotoxx.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/fotoxx.git
 
 Package: fotoxx
 Architecture: any
@@ -18,7 +22,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: ufraw
-Suggests: brasero, gimp, imagemagick, rawtherapee, hugin, www-browser
+Suggests: brasero, gimp, hugin, imagemagick, rawtherapee, www-browser
 Description: easy-to-use digital photo editor
  Fotoxx is a program for improving digital photos. It allows you to navigate
  through large image directories using a window of thumbnail images, create HDR
